/**
 * <copyright>
 * </copyright>
 *
 * $Id: FeatureNodeValidator.java,v 1.1 2008-04-01 09:35:41 vmahe Exp $
 */
package orgomg.cwm.foundation.expressions.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.foundation.expressions.ExpressionNode;

import orgomg.cwm.objectmodel.core.Feature;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.expressions.FeatureNode}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface FeatureNodeValidator {
	boolean validate();

	boolean validateFeature(Feature value);
	boolean validateArgument(EList<ExpressionNode> value);
}
